Robot Simulator of the Robotics Group for Self-Organization of Control: Plane Class Reference

# Plane Class Reference

Plane primitive. More...

`#include <primitive.h>`

Inherits lpzrobots::Primitive.

Collaboration diagram for Plane:
[legend]

List of all members.

## Public Member Functions
| Plane ()
virtual | ~Plane ()
virtual void | init (const OdeHandle &odeHandle, double mass, const OsgHandle &osgHandle, char mode=Body|Geom|Draw)
| registers primitive in ODE and OSG.
virtual void | update ()
| Updates the OSG nodes with ODE coordinates.
virtual OSGPrimitive * | getOSGPrimitive ()
| returns the assoziated osg primitive if there or 0
virtual void | setMass (double mass)
| sets the mass of the body (uniform)
## Protected Attributes
OSGPlane * | osgplane

## Detailed Description

Plane primitive.

## Constructor & Destructor Documentation

Plane | ( |  | ) |

~Plane | ( |  | ) | `[virtual]`

## Member Function Documentation

OSGPrimitive * getOSGPrimitive | ( |  | ) | `[virtual]`

returns the assoziated osg primitive if there or 0

Implements Primitive.

void init | ( | const OdeHandle & | odeHandle,
|  | double | mass,
|  | const OsgHandle & | osgHandle,
|  | char | mode = `Body|Geom|Draw` |
| ) |  |  | `[virtual]`

registers primitive in ODE and OSG.

Parameters:

  | osgHandle | scruct with ODE variables inside (to specify space, world...)
  | mass | Mass of the object in ODE (if withBody = true)
  | osgHandle | scruct with OSG variables inside (scene node, color ...)
  | mode | is a conjuction of Modes.

Implements Primitive.

void setMass | ( | double | mass | ) | `[virtual]`

sets the mass of the body (uniform)

Implements Primitive.

void update | ( |  | ) | `[virtual]`

Updates the OSG nodes with ODE coordinates.

This function must be overloaded (usually calls setMatrix of OsgPrimitives)

Implements Primitive.

## Member Data Documentation

OSGPlane* osgplane`[protected]`

The documentation for this class was generated from the following files:

- primitive.h
- primitive.cpp